Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.objects.StructObjectContent Class Reference
Inheritance diagram for com.foxit.sdk.pdf.objects.StructObjectContent:

## Public Member Functions
| StructObjectContent ()
| Constructor.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFDictionary | getDict () throws com.foxit.sdk.PDFException
| Get PDF dictionary of related object. More...
int | getObjectType () throws com.foxit.sdk.PDFException
| Get related object type. More...
StructElement | getParentElement () throws com.foxit.sdk.PDFException
| Get the parent structure element. More...
Public Member Functions inherited from com.foxit.sdk.pdf.objects.StructTreeEntity
| StructTreeEntity ()
| Constructor.
| StructTreeEntity (StructTreeEntity other)
| Constructor, with another structure element entity object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFPage | getPage () throws com.foxit.sdk.PDFException
| Get the related PDF page. More...
int | getType () throws com.foxit.sdk.PDFException
| Get structure tree entity type. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_StructObjectTypeAnnot = 3
| Annot object.
static final int | e_StructObjectTypeForm = 2
| Form object.
static final int | e_StructObjectTypeImage = 1
| Image object.
static final int | e_StructObjectTypeInvalid = 0
| Invaild object.
static final int | e_UnknownType = -1
| Unknown Type.
Static Public Attributes inherited from com.foxit.sdk.pdf.objects.StructTreeEntity
static final int | e_StructTreeEntityTypeElement = 0
| Structure tree entity type: Element, which represents a structure element.
static final int | e_StructTreeEntityTypeMarkedContent = 1
| Structure tree entity type: MarkedContent, which represents a marked-content item.
static final int | e_StructTreeEntityTypeObjectContent = 2
| Structure tree entity type: ObjectContent, which represents a PDF object content item, such as annotation and XObject.
static final int | e_UnknownType = -1
| Structure tree entity type: unknown.

## Detailed Description

This class represents a PDF object content item.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.objects.StructObjectContent.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDict()

PDFDictionary com.foxit.sdk.pdf.objects.StructObjectContent.getDict | ( |  | ) | throws com.foxit.sdk.PDFException

Get PDF dictionary of related object.

This function is available to the following types of objects: StructObjectContent::e_Image, StructObjectContent::e_Form and StructObjectContent::e_Annot. For

## ◆ getObjectType()

int com.foxit.sdk.pdf.objects.StructObjectContent.getObjectType | ( |  | ) | throws com.foxit.sdk.PDFException

Get related object type.

Returns
  Related object type. Please refer to values starting from StructObjectContent::e_Invalid and this would be one of these values.

## ◆ getParentElement()

StructElement com.foxit.sdk.pdf.objects.StructObjectContent.getParentElement | ( |  | ) | throws com.foxit.sdk.PDFException

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.